Getting Started

Previous Next

Getting Started
Getting Started
Webroot® System Analyzer is a simple utility that can quickly scan computers for spyware and other potentially unwanted programs. During the scan, System Analyzer sweeps the computer for suspicious items and compares its findings to the evolving database of threat definitions maintained by Webroot. System Analyzer then generates a report that describes any vulnerabilities it found and makes recommendations about enhancements that can increase system performance, privacy, and protection.
To get started with System Analyzer, see the following topics:
•
Installing and starting System Analyzer
•
Updating threat definitions and the program


Installing and starting System Analyzer

Getting Started > Installing and starting System Analyzer
Installing and starting System Analyzer
System Analyzer can be installed across a network, from a USB drive, or from a CD-ROM. (The following instructions are for a USB installation, but any option can be used for Windows XP or Vista computers.)
To install and start System Analyzer:
1.
Unzip the System Analyzer files to a USB drive.
Be sure to use the unzipping option that maintains the folder structure of the files.
2.
To open the System Analyzer window, navigate to the USB drive and double-click the systemanalyzer.exe file.
The System Analyzer main screen opens.
You can also start System Analyzer from a command line interface. For more information, see Starting a scan from the command line.


Updating threat definitions and the program

Getting Started > Updating threat definitions and the program
Updating threat definitions and the program
Webroot updates its database of threat definitions several times a week. Check for both definitions and product updates by clicking the Check for Updates button on the main screen at least once a week to ensure that you have the latest version of the definitions and related files. Definitions are often updated daily, so more frequent updates are a good idea.
*
If you update from nonwriteable media, such as a CD-ROM, the updates are placed in the default temp folder of the computer you are using.
To update available threat definitions and the program from the System Analyzer window:
1.
From the System Analyzer main window, click Check for Updates in the Versions panel on the right.
The program downloads any new definitions or software.
2.
When it’s finished, click OK.
To update available threat definitions and the program from the command line:
1.
From the Windows Start menu, select All Programs > Accessories > Command Prompt. You can also open the Command Prompt by selecting Start > Run, typing cmd in the Open: field, then clicking OK.
2.
After verifying that you are in the correct directory, type:
systemanalyzer.exe /update
Press Enter.
For more information on using the command line interface, see Starting a scan from the command line.


Running System Scans

Running System Scans
Running System Scans
You can start System Analyzer and run a scan on any Windows XP or Vista operating system. During a scan, System Analyzer searches the computer for possible infections of spyware and other risks, then compares its findings to the Webroot database of threat definitions. It then generates a report that describes the vulnerabilities and suggests corrective steps.
*
System Analyzer does not collect or reveal any personal information.
To run system scans and review scan reports, see the following topics:
•
Using System Analyzer in a WinPE setting
•
Running a scan
•
Reviewing scan results
•
Saving reports to a single file
•
Comparing reports


Using System Analyzer in a WinPE setting

Running System Scans > Using System Analyzer in a WinPE setting
Using System Analyzer in a WinPE setting
*
This section assumes that your WinPE environment is setup correctly. If you have any questions, please contact your System Administrator.
When System Analyzer runs in a WinPE environment, it can more effectively remove threats than when it runs on a typical operating system, where threats may interfere with its removal operations. However, if you do run System Analyzer in WinPE, certain functions are unavailable. See the following table for more information.
*
It is recommended that you run full scans to avoid missed detections.
Unavailable functions in a WinPE setting
Memory scans
Running the memory scan feature finds potential threats operating in memory. When the user’s computer runs in a WinPE environment, the installed operating system and applications are not running. As a result, memory scanning does not detect any threats.
Rootkit scans
Operating the rootkit scan feature does not work in the WinPE environment as rootkits load into the memory, actively hiding and modifying resources. The computer’s operating system applications do not load in the WinPE memory image. As a result, rootkits appear inactive and therefore not detected. Full file scans detect rootkits as expected.
Quick scans
Using the quick scan feature acts as a quicker, less thorough scan than that of the Deep File scan. The quick scan only scans certain locations on the disk. This includes some areas referenced in startup entries (Run Keys, Startup Folders, etc.). System Analyzer cannot easily determine some of the startup areas, so not all startup items are scanned in the WinPE environment if Deep File scan is off.
Autostart scans
Trying to run an autostart scan, which is part of the quick scan, does not function correctly when it is run in a WinPE environment.


Running a scan

Running System Scans > Running a scan
Running a scan
During a scan, System Analyzer can check for any security software installed on the computer (such as antivirus software or personal firewall applications), spyware and adware infections, and technical information about the computer (such as CPU type and attached devices).
*
System Analyzer is optimized for speed. It rapidly searches the most common locations where spyware resides. For a more comprehensive scan of your computer and ongoing protection from spyware, we recommend downloading Spy Sweeper or Webroot AntiVirus with AntiSpyware from the Webroot Web site.
You can start a scan using one of the following methods:
•
From the System Analyzer window
•
From the command line


Starting a scan from the System Analyzer window

Running System Scans > Running a scan > Starting a scan from the System Analyzer window
Starting a scan from the System Analyzer window
You can start a scan from the System Analyzer window. When the scan completes, it opens a report.
To start a scan from the System Analyzer window:
1.
Make sure you have the latest versions of all threat definitions and related files from Webroot. To do this, click Check for Updates from the main System Analyzer window.
The System Analyzer window is shown in the following example.
2.
In Step 1 of the Scan panel, select the checkboxes next to the scan types you want to run. You can run any combination of scan types, which are described in the following table.
Scan Types
Type
Description
Scan for security software
This scan looks for the following:
•
Antispyware. Looks for recent releases of many common antispyware programs, verifying that the installed programs are up to date.
•
Antivirus. Looks for recent releases of many common antivirus programs, verifying that the installed programs are up to date.
•
Firewall. Looks for recent releases of many common firewall programs and reports if it is disabled.
•
Windows Security Updates. Verifies that the computer is up to date on security updates. If the computer is not up to date, System Analyzer shows the available updates.
Scan for spyware, adware, and virus
This scan looks for the following:
•
Spyware infections. Looks for installed Trojan horses and system monitors.
•
Adware and cookie infections. Looks for installed adware and any tracking cookies.
•
Virus infections. Looks for installed viruses.
For a more thorough scan (which may take slightly longer), you can select one or both of these options:
•
Deep Memory Scan: Performs an in-depth memory scan (normal scans only perform a quick sweep of the memory).
•
Deep File Scan: (C:\): Performs a sweep of the entire drive (normal scans only sweep locations where spyware is typically found; for example, in temporary file locations, system file locations, startup entries, and so on).
This information generates in the Security portion of the scan report.
Scan for system information
This scan looks at the following:
•
System Model. Reports the type of computer.
•
CPU Model. Reports the type and speed of the processor.
•
Motherboard Model. Reports the type of motherboard.
•
BIOS Version. Reports the BIOS type and version.
•
Hard Drive Fragmentation. Reports the percentage of each hard drive that is fragmented. Webroot uses a proprietary algorithm for rapid drive analysis. The results are not intended to match Microsoft Windows Disk Defragmenter utility, but to provide an accurate assessment of drive fragmentation and whether defragmenting is recommended.
•
Memory. Reports the amount of memory installed and in which slots it resides.
•
Hard drives. Reports the capacity and available space for the first two hard drives or partitions.
•
System slots. Reports the quantity and type.
•
Port connectors. Reports the quantity and type.
•
Video. Reports the quantity and type of devices.
•
Audio. Reports the quantity and type of devices.
•
Network Adaptors. Reports the quantity and type.
•
Printers. Reports the quantity and type.
3.
In Step 2 of the Scan panel, you can keep the default report name displayed in the field or enter a new name.
Each time you run a scan, System Analyzer increments the number in the default report name. For example, the first time you run a scan, the default report name is scan1; the second time you run a scan, the default report name is scan2. This incremental naming is helpful if you want to compare current scan results to previous scan results, as described in Comparing reports.
4.
In Step 3 of the Scan panel, click Scan Now.
A scanning progress window opens.
When the scan is complete, the report opens. See Reviewing scan results for more information on the scan results.


Starting a scan from the command line

Running System Scans > Running a scan > Starting a scan from the command line
Starting a scan from the command line
You can run a scan from the command line, instead of the user interface.
To start a scan from the command line:
1.
From the Windows Start menu, select All Programs > Accessories > Command Prompt. You can also open the Command Prompt by selecting Start > Run, typing cmd in the Open: field, then clicking OK.
2.
Verify that you are in the correct directory where you installed System Analyzer.
3.
Make sure you have the latest versions of all threat definitions and related files from Webroot. To do this, type:
systemanalyzer.exe /update
Press Enter.
4.
To start the scan, type:
systemanalyzer.exe /all
Press Enter.
*
The “/all” switch is the minimum requirement to run a default scan using the command line instead of the user interface. You must use at least one switch to prevent the user interface from launching.
The following screen is an example of the Command Prompt window ready to run a System Analyzer scan.
5.
You can use additional switches, which are highlighted in the following table. If, for example, you would like to disable Deep File Scan from a complete scan, type:
systemanalyzer.exe /all /deepfile0
Press Enter.
See the following table for a list of command line switches, which are also available by entering /help or /? into the command line.
Switch
Definition
Default
/help or /?
Opens the default display screen, which shows the options and usage information.
Enabled
/secsoft0
Disables scanning for security software for the current session.
Enabled
/sysinfo0
Disables scanning for the system information for the current session.
Enabled
/malware0
Disables malware scanning for spyware and virus.
Enabled
/av0
Disables antivirus scanning.
Enabled
/all
Scans all files and directories on all fixed and local drives.
n/a
/scanfile <file>
Scans the specified file using /scanfile <filename>.
n/a
/scandir <path>
Scans all files and folders in the specified path using /scandir <path>.
n/a
/drives <drive>
Scans specific fixed and local drives.
Note: Separate drive letters with a comma. (example, /drives c,d).
Scan all fixed/local drives.
/defs <path>
Allows you to set a specific location for pulling the definition files used for the scan.
n/a
/cookies0
Disables the scanning of cookies directory.
Enabled
/memscan0
Disables memory scanning.
Note: This prevents Deep Memory scanning.
Enabled
/deepmem
Enables Deep Memory scanning for the current session.
Disabled
/deepfile0
Disables Deep File scanning for the current session.
Note: This switch is invalid for /drives, /scanfile and /scandir (i.e. Deep File scanning is automatically on for these switches).
Enabled
/ssu0
Disables the sandbox feature for the current session.
Note: /ssudll does not work with this option.
Enabled
/ssudll
Enables dll scanning using the sandbox feature.
Note: /ssu0 does not work with this option.
Disabled
/registry0
Disables registry scanning.
Enabled
/rootkit
Enables rootkit scanning.
Disabled
/genotype0
Disables antivirus genotype/behavioral detection.
Enabled
/rptname <name>
Allows you to set a non-default name for the XML/HTML report output files.
n/a
/text <filname>
Generates a text file report rather than an XML/HTML output report.
n/a
/update
Updates the spyware and security product definitions. If used alone, System Analyzer updates itself and shuts down.
n/a
/silent
Shows only a blinking “Scan in progress...” rather than showing the progress of the scan and results.
n/a
/output <file>
Redirects console output to the specified file.
n/a
/nowait
Exits the console immediately when scanning completes on Windows 2000.
n/a
/removal
Removes detected items.
Note: Using this feature in the WinPE environment detects, but does not remove, threats using Layered Service Providers (LSPs) or threats that are whitelisted.
Disabled
/reminf
Enables the removal of informational items.
Note: Requires the use of /removal.
Disabled
/pe <file>
Allows System Analyzer to run in a WinPE environment using the specified config.ini <file>.
n/a
/tempdir
Specifies the temporary directory. WinPE environment only.
n/a
Additional options
Only scan memory
systemanalyzer.exe /secsoft0 /sysinfo0 /scanfile /registry0 /cookies0
Note: /scanfile can be replaced with /scandir
Only scan cookies
systemanalyzer.exe /secsoft0 /sysinfo0 /scanfile /registry0 /memscan0
Note: /scanfile can be replaced with /scandir
Only scan registry
systemanalyzer.exe /secsoft0 /sysinfo0 /scanfile /memscan0 /cookies0
Note: /scanfile can be replaced with /scandir
When the scan is running, the screen shows the status information, similar to the following example:
When the scan completes, the scanning log file shows the gathered information. See Reviewing scan results for more information on the scan results.


Reviewing scan results

Running System Scans > Reviewing scan results
Reviewing scan results
There are two forms of scan results that generate:
•
From running a scan from the System Analyzer window
•
From running a scan from the command line


Viewing scan results from the System Analyzer window

Running System Scans > Reviewing scan results > Viewing scan results from the System Analyzer window
Viewing scan results from the System Analyzer window
When the scan is complete, System Analyzer creates an easy-to-read report that reveals the security state of the computer and provides clear recommendations for resolving security issues. The scan results compile into the following areas of the report:
Report Areas
Type
Description
Security
This area displays the following:
•
Antispyware. Shows recent releases of many common antispyware programs, verifying that the installed programs are up to date.
•
Antivirus. Shows recent releases of many common antivirus programs, verifying that the installed programs are up to date.
•
Firewall. Shows recent releases of common firewall programs and reports if it’s disabled.
•
Windows Security Updates. Verifies that the computer is up to date on security updates.
•
Malware Scan. Shows any malware detected on the computer.
Windows
This area displays the following:
•
Windows Version. Reports the Windows version and service pack number.
•
Automatic Updates. Reports whether automatic updates are enabled or disabled.
•
Windows Updates Status. Reports whether the Windows updates are current.
•
Windows Vista Support. Reports whether the computer is capable of a Vista upgrade; if so, it reports whether support is available.
•
Windows User Accounts. Reports the list of user accounts.
•
Software Install. Reports the software installed on the computer.
•
Windows Messenger Service. Reports whether this feature is on or off on the computer.
•
Recoverable Disk Space. Reports the amount of such items as cache and cookies that are taking up space as a result of what your operating system is saving following Internet use. The total given is that of space that could be freed for other uses.
•
Startup Items. Reports the list of items that run when the computer starts.
System
This area displays the following:
•
System Model. Reports the type of computer.
•
CPU Model. Reports the type and speed of the processor.
•
Motherboard Model. Reports the type of motherboard.
•
BIOS Version. Reports the BIOS type and version.
•
Hard Drive Space. Reports the percentage of your hard drive that is being used, what amount is available for use, and the overall hard drive capacity.
•
Hard Drive Fragmentation. Reports the percentage of each hard drive that is fragmented. Webroot uses a proprietary algorithm for rapid drive analysis. The results are not intended to match the Microsoft Windows Disk Defragmenter utility, but to provide an accurate assessment of drive fragmentation and whether defragmenting is recommended.
•
Memory. Reports the amount of memory installed and in which slots it resides.
•
Hard drives. Reports the capacity and available space for the first two hard drives or partitions.
•
System slots. Reports the quantity and type.
•
Port connectors. Reports the quantity and type.
•
Video. Reports the quantity and type of devices.
•
Audio. Reports the quantity and type of devices.
•
Network Adaptors. Reports the quantity and type.
•
Printers. Reports the quantity and type.


Viewing scan results from the command line

Running System Scans > Reviewing scan results > Viewing scan results from the command line
Viewing scan results from the command line
When the scan completes, System Analyzer creates an easy-to-read report that reveals the security state of the computer. The scan results compile into the following areas of the report:
Report Areas
Type
Description
Header, License, and Version
•
Header and license information. Webroot System Analyzer Command Line Interface and pertinent copyright information.
•
System Analyzer Version.
•
Spyware Definition Version. Version and date.
•
Antivirus Definition Version. Version and date.
•
Security Product Definition. Version and date.
Session
•
Command line interface switches used. Lists the switches used for the scan.
•
Filename/path to scan.
Scanning results
•
Detected items: detected type, name, full path and filename (for example, Found Virus [W32/Looked-DD] in C:\windows\virus.exe).
Summary
•
Scan summary of the filename/path
•
Items scanned
•
Items infected
•
Items removed
•
Scan time (duration of scan)


Saving reports to a single file

Running System Scans > Saving reports to a single file
Saving reports to a single file
You can save a copy of the report on the computer to a single file (.mht), which includes all text and graphics and is viewable with Internet Explorer. If you do not save the report to a single file, all reports are available in System Analyzer with the Previous Reports button, as long as each report has a unique name when you run a scan.
To save a report to a single file:
1.
From the System Analyzer main window:
•
If you have already run a scan from this computer, click Previous Reports and select a report from the list.
•
If you have not already run a scan on this computer, click Start Scan. When the scan completes, open the main screen and click Previous Reports.
2.
Click Export.
3.
Navigate to where you want to save the file.
4.
Enter a file name.
5.
Click Save.


Comparing reports

Running System Scans > Comparing reports
Comparing reports
If you run multiple scans on the same computer and make sure each report has a different name, you can compare scanning results in these reports before and after you work on the computer. The comparison shows the intersections of the two reports.
To compare reports:
1.
From the System Analyzer main window, click Previous Reports.
2.
Select a report from the list.
3.
Click Compare.
4.
Select another report from the list.
5.
Click Show Report.


Webroot Contacts

Webroot Contacts
Webroot Contacts
You can contact Webroot through our Web site for:
•
Requesting Technical Support
•
Accessing the Knowledge Base


Requesting Technical Support

Webroot Contacts > Requesting Technical Support
Requesting Technical Support
Technical support is available from the Webroot Web site. Submit a trouble ticket to our service representatives at:
www.webroot.com/support
*
If clicking the link above does not open your browser and take you to the Webroot Support page, copy the text of the link and paste it into your browser.
We make every effort to respond to your request on the same day you send it in, but please allow up to 48 hours.


Accessing the Knowledge Base

Webroot Contacts > Accessing the Knowledge Base
Accessing the Knowledge Base
The Webroot Knowledge Base contains many articles that describe common issues and resolutions for Window Washer operations. These articles are constantly updated, expanded, and refined by Webroot support professionals to ensure that you have access to the very latest information.
To access this database, visit the Support Center at:
support.webroot.com
*
If clicking the link above does not open your browser and take you to the Support Center, copy the text of the link and paste it into your browser.


Glossary

Glossary
Glossary
adware
Adware is a type of software that may display advertisements on your system. Some adware may also hijack Web searches, meaning it may reroute your Web searches through its own Web page. It may change your default home page to a specific Web site. Adware generally propagates itself using dialog boxes, various social engineering methods, or through scripting errors. Adware and BHOs are often bundled with various free software programs, such as clocks, messengers, alerts, and software such as screensavers, cartoon cursors, backgrounds, sounds, etc. Removing adware bundled with free software programs may cause the software to stop operating. These adware programs may also cause slowing of your Web browser and system performance issues.
BIOS
Basic Input/Output System. The firmware code that IBM-compatible PCs use to boot up and prepare the computer for other software programs to load.
CPU
Central Processing Unit. The CPU performs the computer processing and is usually contained on a single chip. A complete computer system is comprised of the CPU, clock, main memory, operating system, storage devices, and other controls.
definitions
A definition is the set of fingerprints that characterize a potentially unwanted program, such as spyware or adware. Webroot regularly updates these definitions to provide better protection against the latest versions of potentially unwanted programs discovered by System Analyzer.
firewall
A combination of hardware and software that provides system security by allowing or blocking traffic into and out of your computer. Firewalls are widely used for secure access to the Internet.
malware
Malicious software that is designed to destroy or harm your computer system, such as a virus.
rootkit
Rootkits use file obfuscation techniques to allow spyware and other malicious software to avoid detection and removal. Rootkits typically hide logins, processes, files and logs, and may include software to capture information from desktops or a network. A rootkit's abilities to hide the presence of an intruder and the intruder's actions explain the increase in use of this method.
spyware
Spyware is a program that may either monitor a user’s online activities or possibly install programs without a user’s consent. Information about online activities may be subsequently sent to a third party for malicious purposes without your knowledge or consent. Spyware may arrive bundled with freeware or shareware, through e-mail or instant messenger, may propagate itself using dialog boxes, various social engineering methods, scripting errors, or by someone with access to your computer. Spyware is difficult to detect, and difficult (if not impossible) for the average user to remove without the use of a top-quality anti-spyware program.
system monitors
System monitors, typically non-commercial, may monitor and capture your computer activity, including recording all keystrokes, e-mails, chat room dialogue, instant message dialogue, Web sites visited, usernames, passwords, and programs run. This program may be capable of taking screen shots of your desktop at scheduled intervals, storing the information on your computer in an encrypted log file for later retrieval. These log files may be e-mailed to a pre-defined e-mail address. This program can run in the background, hiding its presence. These programs typically install via other threats, such as music downloads, and Trojan downloaders. These system monitors may allow an unauthorized, third party to view potentially sensitive information, such as passwords, e-mail, and chat room conversation.
tracking cookies
Cookies are pieces of information that are generated by a Web server and stored on your computer for future access. When visiting some Web sites, a cookie may be placed on your system to track your personal preferences and Web surfing habits through uniquely identifiable information (browsing habits, usernames and passwords, areas of interest, etc.), and simultaneously share the information with other Web sites.
Trojan horses
A Trojan horse may manage files on your computer, including creating, deleting, renaming, viewing, or transferring files to or from your computer. It can utilize a program manager that allows a hacker to install, execute, open, or close programs. The hacker can gain remote control of your cursor and keyboard and can even send mass e-mails from your infected computer. It can run in the background, hiding its presence. A Trojan is usually disguised as a harmless software program and may also be distributed as an e-mail attachment. Opening the program or attachment may cause an auto-installation process that loads the downloader onto your computer and download third party programs on your computer, resulting in the installation of unwanted programs without your knowledge or consent, jeopardizing your privacy if it downloads another Trojan or a system monitor. Trojans may open a port on your computer that may enable a hacker to gain remote control of your computer.
viruses
A virus is a self-replicating program that can infest computer code, documents, or applications. While some viruses are purposefully malignant, others are more of a nuisance, replicating uncontrollably and inhibiting system performance.


Glossary-470321.html

adware
Adware is a type of software that may display advertisements on your system. Some adware may also hijack Web searches, meaning it may reroute your Web searches through its own Web page. It may change your default home page to a specific Web site. Adware generally propagates itself using dialog boxes, various social engineering methods, or through scripting errors. Adware and BHOs are often bundled with various free software programs, such as clocks, messengers, alerts, and software such as screensavers, cartoon cursors, backgrounds, sounds, etc. Removing adware bundled with free software programs may cause the software to stop operating. These adware programs may also cause slowing of your Web browser and system performance issues.


Glossary-470326.html

definitions
A definition is the set of fingerprints that characterize a potentially unwanted program, such as spyware or adware. Webroot regularly updates these definitions to provide better protection against the latest versions of potentially unwanted programs discovered by System Analyzer.


Glossary-470359.html

spyware
Spyware is a program that may either monitor a user’s online activities or possibly install programs without a user’s consent. Information about online activities may be subsequently sent to a third party for malicious purposes without your knowledge or consent. Spyware may arrive bundled with freeware or shareware, through e-mail or instant messenger, may propagate itself using dialog boxes, various social engineering methods, scripting errors, or by someone with access to your computer. Spyware is difficult to detect, and difficult (if not impossible) for the average user to remove without the use of a top-quality anti-spyware program.


Glossary-470364.html

system monitors
System monitors, typically non-commercial, may monitor and capture your computer activity, including recording all keystrokes, e-mails, chat room dialogue, instant message dialogue, Web sites visited, usernames, passwords, and programs run. This program may be capable of taking screen shots of your desktop at scheduled intervals, storing the information on your computer in an encrypted log file for later retrieval. These log files may be e-mailed to a pre-defined e-mail address. This program can run in the background, hiding its presence. These programs typically install via other threats, such as music downloads, and Trojan downloaders. These system monitors may allow an unauthorized, third party to view potentially sensitive information, such as passwords, e-mail, and chat room conversation.


Glossary-470378.html

tracking cookies
Cookies are pieces of information that are generated by a Web server and stored on your computer for future access. When visiting some Web sites, a cookie may be placed on your system to track your personal preferences and Web surfing habits through uniquely identifiable information (browsing habits, usernames and passwords, areas of interest, etc.), and simultaneously share the information with other Web sites.


Glossary-470383.html

Trojan horses
A Trojan horse may manage files on your computer, including creating, deleting, renaming, viewing, or transferring files to or from your computer. It can utilize a program manager that allows a hacker to install, execute, open, or close programs. The hacker can gain remote control of your cursor and keyboard and can even send mass e-mails from your infected computer. It can run in the background, hiding its presence. A Trojan is usually disguised as a harmless software program and may also be distributed as an e-mail attachment. Opening the program or attachment may cause an auto-installation process that loads the downloader onto your computer and download third party programs on your computer, resulting in the installation of unwanted programs without your knowledge or consent, jeopardizing your privacy if it downloads another Trojan or a system monitor. Trojans may open a port on your computer that may enable a hacker to gain remote control of your computer.


Glossary-471441.html

rootkit
Rootkits use file obfuscation techniques to allow spyware and other malicious software to avoid detection and removal. Rootkits typically hide logins, processes, files and logs, and may include software to capture information from desktops or a network. A rootkit's abilities to hide the presence of an intruder and the intruder's actions explain the increase in use of this method.


Glossary-474686.html

viruses
A virus is a self-replicating program that can infest computer code, documents, or applications. While some viruses are purposefully malignant, others are more of a nuisance, replicating uncontrollably and inhibiting system performance.


Glossary-475807.html

malware
Malicious software that is designed to destroy or harm your computer system, such as a virus.


Glossary-475846.html

CPU
Central Processing Unit. The CPU performs the computer processing and is usually contained on a single chip. A complete computer system is comprised of the CPU, clock, main memory, operating system, storage devices, and other controls.


Glossary-475858.html

BIOS
Basic Input/Output System. The firmware code that IBM-compatible PCs use to boot up and prepare the computer for other software programs to load.


Glossary-475865.html

firewall
A combination of hardware and software that provides system security by allowing or blocking traffic into and out of your computer. Firewalls are widely used for secure access to the Internet.